<?php

/**
 * This file contains package_quiqqer_crm_ajax_backend_tasks_getByCustomer
 */

/**
 * Create a new task
 *
 * @param array $attributes
 * @return integer
 */
QUI::$Ajax->registerFunction(
    'package_quiqqer_crm_ajax_backend_tasks_getByCustomer',
    function ($customerId) {
        $tasks = QUI\ERP\CRM\TaskHandler::getTasksByCustomer($customerId);

        return \array_map(function ($Task) {
            return $Task->toArray();
        }, $tasks);
    },
    ['customerId'],
    'Permission::checkAdminUser'
);
