<?php

/**
 * This file contains package_quiqqer_crm_ajax_backend_tasks_get
 */

/**
 * Return a task
 *
 * @param integer $taskId
 * @return integer
 */
QUI::$Ajax->registerFunction(
    'package_quiqqer_crm_ajax_backend_tasks_save',
    function ($taskId, $attributes) {
        $Task       = QUI\ERP\CRM\TaskHandler::getTask($taskId);
        $attributes = \json_decode($attributes, true);

        $Task->setTitle($attributes['title']);
        $Task->setText($attributes['text']);
        $Task->setUserId($attributes['customerId']);

        $Task->setFrom($attributes['from']);
        $Task->setTo($attributes['to']);
        $Task->setStatus($attributes['status']);

        $Task->save();

        return $Task->toArray();
    },
    ['taskId', 'attributes'],
    'Permission::checkAdminUser'
);
